SystemOrganization addCategory: #'GRID-Tests'!

SUnitTest subclass: #GRIDTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GRID-Tests'!

!GRIDTest methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 11/10/2011 12:12'!
testCellResultOfAColumn
	|column cellResultConfiguration |
	
	column := GRIDReportColumn new.
	cellResultConfiguration:= (GRIDCellResultConfiguration new cellResult: CellResultForStudentPassing new).
	column addConfiguration: cellResultConfiguration.
	column  addConfiguration:  (ConfigurationOfYear new year: 2011).
	
	self assert: column cellResult equals: cellResultConfiguration cellResult.! !

!GRIDTest methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 11/14/2011 13:19'!
testCopyOfAColumn
	|column cellResultConfiguration |
	
	column := GRIDReportColumn new.
	cellResultConfiguration:= (GRIDCellResultConfiguration new cellResult: CellResultForStudentPassing new).
	column addConfiguration: cellResultConfiguration.
	column addConfiguration:  (ConfigurationOfYear new year: 2011).
	
	self assert: column cellResult == column copy cellResult.
	self deny: column cellResultConfiguration == column copy cellResultConfiguration.
	self deny: column configurations == column copy configurations ! !

!GRIDTest methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 11/10/2011 12:12'!
testEvaluationOfASubjectInAColumn
	|column cellResultConfiguration reportData|
	
	column := GRIDReportColumn new.
	reportData := GRIDReportEvaluationContext new valueForConcern: #subject is: 10; yourself .
	cellResultConfiguration:= (GRIDCellResultConfiguration new cellResult: CellResultMock new).
	column addConfiguration: cellResultConfiguration.
	column  addConfiguration:  (GRIDConfigurationMock new) "sets the number that will multiply the subject of evaluation to 10".
	
	self assert: (column cellValueForReportData: reportData) equals: 100. ! !

!GRIDTest methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 10/7/2011 19:05'!
testGroupOfReportSubjectsEvaluation
	self assert: false! !

!GRIDTest methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 10/7/2011 19:03'!
testReportBuilder
	self assert: false! !

!GRIDTest methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 10/7/2011 19:05'!
testReportEvaluationData
	self assert: false! !

!GRIDTest methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 10/7/2011 19:04'!
testReportResult
	self assert: false! !

!GRIDTest methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 10/7/2011 18:53'!
testTitleOfAColumn
	self assert: false! !

!GRIDTest methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 10/7/2011 18:55'!
testTotalOfANonAggregableColumn
	self assert: false! !

!GRIDTest methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 10/7/2011 18:55'!
testTotalOfAnAggregableColumn
	self assert: false! !

GRIDReportConfiguration subclass: #GRIDConfigurationMock
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GRID-Tests'!

!GRIDConfigurationMock methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 11/3/2011 01:52'!
configureReportEvaluation:  aReportEvaluationContext
	aReportEvaluationContext valueForConcern: #product is: 10    ! !

GRIDCellResult subclass: #CellResultMock
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GRID-Tests'!

!CellResultMock class methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 10/13/2011 17:03'!
description 
	^'Name of the student'! !

!CellResultMock methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 10/13/2011 17:03'!
hasNumericCurrencyResult
	^false! !

!CellResultMock methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 1/17/2012 19:19'!
isAggregable 
	^false! !

!CellResultMock methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 11/3/2011 01:45'!
resultFor: aReportEvaluationContext
	^(aReportEvaluationContext valueForConcern: #product) * (aReportEvaluationContext valueForConcern: #subject)! !
